Application: gvSIG desktop - gvSIG bugs #5069
Anadir mensaje cuando no se han guardado los cambios al editar o crear campos
04/18/2019 10:34 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document table

Target version: 2.5.0-2923

Severity: Minor Add-on version:

gvSIG version: 250 Add-on build:

gvSIG build: 2922 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Cuando se crea o modifica un campo con el Gestor de columnas esta activado el boton de Aceptar en la parte inferior aun sin haber
salvado los cambios de ese campo. Si se le da a Aceptar directamente sin haber dado a "Ok" para salvar cambios se pierden estos.

Se deberia afiadir un mensaje de que no se han salvado aun los cambios, si se desea guardar o descartar (o directamente que no
esté activado el botén de Aceptar).

Lo pongo como bug por el problema de perder esos cambios.

Associated revisions

Revision 44478 - 10/19/2019 10:16 AM - Joaquin del Cerro Murciano

refs #5069, modificado para que no se habilite el boton de aceptar el dialogo del gestor de columnas si hay pendiente aceptar cambios en una

columna

Revision 44485 - 10/20/2019 08:34 PM - Joaquin del Cerro Murciano

refs #5069, anadido mensaje de proyecto guardado en la barra de estado al finalizar el guardado de este

History

#1 - 10/17/2019 02:28 PM - Alvaro Anguix

Afado que "OK" tampoco es un término muy intuitivo, seria mejor un "Guardar" o similar.

#2 - 10/17/2019 02:30 PM - Alvaro Anguix
- gvSIG build changed from 2914 to 2922
- Target version set to 2.5.0-2930-final

Lo pongo para la final, como minimo estaria bien solucionar lo de "OK" con un texto méas acorde a lo que hace.
#3 - 10/18/2019 11:37 AM - Joaquin del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.0-2923

#4 - 10/18/2019 08:00 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#5 - 10/22/2019 05:47 PM - Alvaro Anguix
- Status changed from Fixed to Closed
